import request from '@/utils/request';

// 获取考试列表
export function getList(studentId) {
    return request({
        url: '/web/artStudent/list/' + studentId,
        method: 'get'
    })
}

// 是否能进入
export function isEnter(testId,studentId) {
    return request({
        url: '/web/artStudent/enterBtn/' + testId + '/' + studentId,
        method: 'get'
    })
}

// 判断页面
export function allInfo(testId,studentId) {
    return request({
        url: '/web/artStudent/enter/all/' + testId + '/' + studentId,
        method: 'get'
    })
}

export function getAvatar(data) {
    return request({
        url: '/web/artStudent/avatar',
        method: 'post',
        headers: {
            'Content-Type': 'multipart/form-data'
        },
        data: data
    })
}

// 报名暂存
export function webSave(data,testId) {
    return request({
        url: '/web/artStudent/webSave/' + testId,
        method: 'put',
        data: data
    })
}

// 报名提交
export function webSubmit(data,testId) {
    return request({
        url: '/web/artStudent/webSubmit/' + testId,
        method: 'put',
        data: data
    })
}

// 打印准考证
export function printCard(testId,studentId) {
    return request({
        url: '/web/artStudent/enterPrint/' + testId + '/' + studentId,
        method: 'get'
    })
}

// 考试成绩查询
export function scoreView(testId,studentId) {
    return request({
        url: '/web/artStudent/enterScore/' + testId + '/' + studentId,
        method: 'get'
    })
}

// 测试项目
export function getProject(testId) {
    return request({
        url: '/web/artStudent/getProjectList/' + testId,
        method: 'get'
    })
}

// 初中学校
export function getSchoolList() {
    return request({
        url: '/web/artStudent/schoolList',
        method: 'get'
    })
}